%global pmname	license-maven-plugin
Name:           %{pmname}
Version:        2.11
Release:        %mkrel 2
Summary:        Manage license header of your project

Group:          Development/Java
License:        ASL 2.0 MIT
URL:            https://github.com/mycila/license-maven-plugin
BuildArch:      noarch

Source0:		https://github.com/mycila/license-maven-plugin/archive/%{pmname}-%{version}.tar.gz
Patch0:			generics-fix.patch

BuildRequires: 	mycila-pom
BuildRequires: 	mycila-xmltool
BuildRequires:  maven-local
BuildRequires:  junit
BuildRequires: 	springframework
BuildRequires: 	apache-commons-pool
BuildRequires:  mvn(org.tmatesoft.svnkit:svnkit)

Requires: java-headless
Requires: mycila-xmltool


%package javadoc
Summary:        API documentation for %{name}

%description javadoc
This package provides javadoc for -%{summary}.



%description
Adds at the top of your source files a license to protect your work. 
This mean checking if the header is here or not, generating a report and of
course having the possibility to update / reformat missing license headers.
Features:
 *  check: check if header is missing in some source file
 *  format: add headers if missing
 *  remove: can remove existing header
 *  update: update existing header with a new one
 *  custom mappings: enables easy support of new file extensions
 *  variable replacement: You can add some variable in your header, such
    as ${year}, ${owner} and they will be replaced by the corresponding values
    taken from the pom or system properties.


%prep
%setup -q -n %{pmname}-%{pmname}-%{version}
%pom_add_dep    junit:junit
%patch0 -p1

%build
#unluckily, some tests fails:(
%mvn_build -f

%install
%mvn_install

%add_maven_depmap license-maven-plugin/license-maven-plugin.pom license-maven-plugin/license-maven-plugin.jar -a com.mycila.maven-license-plugin:maven-license-plugin

%files -f .mfiles
%doc README.md


%files javadoc -f .mfiles-javadoc
%doc README.md



%changelog
* Thu Feb 25 2016 neoclust <neoclust> 2.11-2.mga6
+ Revision: 978926
- First rebuild of the java stack
- sync package license-maven-plugin with fedora

